# Datepicker

⁠The datepicker allows users to select a date.


## Overview

### Features

*   Configurable date format display
    
*   `plain` mode to hide labels and error messages
    
*   Clearable for quick state reset
    
*   Min and max dates
    
*   Can be configured with visible or hidden week numbers
    
*   Individual dates can be marked as disabled in the calendar
    
*   Buttons in the calendar footer are configurable

### Usage

Use datepicker when a complete date should be entered.

### Size

The datepicker comes in two sizes.

*   **Large** (default)
    
*   **Small**: used in tables and in some special cases where the space is very limited.

### Do's and don'ts


## UX Guidelines

### Writing UX text for date pickers
